
FreeNAS - Bug #60471

Prevent Cloud Sync Tasks from overflowing /mnt

11/28/2018 09:12 AM - Dru Lavigne

Status: Done   

Priority: No priority   

Assignee: Vladimir Vinogradenko   

Category: Middleware   

Target version: 11.1-U7   

Seen in:  Needs Merging: No

Severity: New Needs Automation: No

Reason for Closing:  Support Suite Ticket: n/a

Reason for Blocked:  Hardware

Configuration:

 

Needs QA: No ChangeLog

Required:

No

Needs Doc: No   

Description

Configuring a cloud sync task has the potential to fill the /mnt directory, therefore disallowing the ability to import your zpools.

PR: https://github.com/freenas/freenas/pull/2035

Related issues:

Copied from FreeNAS - Umbrella #55899: Prevent Cloud Sync Tasks from overflow... Done

History

#1 - 11/28/2018 09:13 AM - Dru Lavigne

- Copied from Umbrella #55899: Prevent Cloud Sync Tasks from overflowing /mnt added

#3 - 01/07/2019 11:01 AM - Bonnie Follweiler

- Needs QA changed from Yes to No

Acceptance Criteria

Create pool /mnt/tank. Create a PULL cloud sync, run it. It should run OK.

Destroy pool /mnt/tank. There should be no directory /mnt/tank. Run cloud sync. It should say "directory does not exist"

Run mkdir /mnt/tank (but do not create pool). Run cloud sync. It should say "directory must reside within volume mount point"

Test passed in TrueNAS-11.1-U7-INTERNAL3

#4 - 01/07/2019 11:05 AM - Bonnie Follweiler

- Status changed from Ready for Testing to Passed Testing

#5 - 01/07/2019 12:12 PM - Jeff Ervin

- File Screen Shot 2019-01-07 at 3.07.08 PM.png added

- File Screen Shot 2019-01-07 at 3.08.47 PM.png added
https://github.com/freenas/freenas/pull/2035


- File Screen Shot 2019-01-07 at 3.09.54 PM.png added

Test Passed FreeNAS-11.1-U7-INTERNAL1

Used Acceptance Criteria (wording for part 3 of the criteria is not exactly same as wording within the system, but still passed as it stated the same

thing - see screenshot)

#6 - 01/07/2019 03:08 PM - Dru Lavigne

- Status changed from Passed Testing to Done
